SDL_GetGamepadSerial(3)

NAME
SDL_GetGamepadSerial - Get the serial number of an opened gamepad, if available.

HEADER FILE
Defined in SDL3/SDL_gamepad.h

SYNOPSIS
#include "SDL3/SDL.h"

const char * SDL_GetGamepadSerial(SDL_Gamepad *gamepad);

DESCRIPTION
Returns the serial number of the gamepad, or NULL if it is not available.

FUNCTION PARAMETERS

gamepad
    the gamepad object to query.

RETURN VALUE
Returns the serial number, or NULL if unavailable.

AVAILABILITY
This function is available since SDL 3.0.0.